from fastapi import APIRouter

from app.api.dependencies import CurrentOwnerUser, SessionDep
from app.schemas.shop_schemas import ShopCreate
from app.schemas.user_schemas import Token

router = APIRouter(prefix="/shop", tags=["Shop"])


@router.post("")
def register_new_shop(
    session: SessionDep,
    current_user: CurrentOwnerUser,
    shop_data: ShopCreate
) -> Token:
    """
    OAuth2 compatible token login, get an access token for future requests
    """
